Summary: init script to daemonize fetchmail for retrieving emails
Name: fetchmail-daemon
Version: 1.1.1
Release: 3%{?dist}
Group: System Environment/Daemons
License: GPLv2
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: %{name}.init-%{version}
Source1: %{name}.sysconfig
Source2: %{name}.rc
Source3: README.%{name}
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: fetchmail
PreReq: /sbin/chkconfig, /sbin/service

%define realname fetchmail

%description
%{name} is a shell script which takes care to keep fetchmail up
an running even if it dies for some reason.

%prep
%{__install} -d %{_builddir}/%{name}-%{version}
%{__install} -c -m 644 %{SOURCE3} %{_builddir}/%{name}-%{version}/README

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_sysconfdir}/sysconfig
%{__install} -d %{buildroot}%{_sysconfdir}/rc.d/init.d

%{__install} -c -m 755 %{SOURCE0} %{buildroot}%{_sysconfdir}/rc.d/init.d/%{realname}
%{__install} -c -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{realname}
%{__install} -c -m 600 %{SOURCE2} %{buildroot}%{_sysconfdir}/%{realname}rc

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0755,root,root) %config %{_sysconfdir}/rc.d/init.d/%{realname}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{realname}
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/%{realname}rc
%doc %{name}-%{version}/README

%post
/sbin/chkconfig --add %{realname}

%preun
if [ $1 = 0 ]; then
  /sbin/service %{name} stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del %{realname}
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service %{realname} condrestart >/dev/null 2>&1 || :
fi

%changelog
* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.1.1-3
- mass rebuild

* Wed Dec 31 2003 Simon Matter <simon.matter@invoca.ch>
- modified default config
- small .spec improvements

* Wed Jun 19 2002 Simon Matter <simix@datacomm.ch>
- modified service function and defaults

* Sun May 12 2002 Simon Matter <simix@datacomm.ch>
- added service function to the init script

* Thu Apr 25 2002 Simon Matter <simix@datacomm.ch>
- initial build
